Index: plugins/tags/js/ckeditor-tags-plugin.js
===================================================================
--- plugins/tags/js/ckeditor-tags-plugin.js	(revision 3709)
+++ plugins/tags/js/ckeditor-tags-plugin.js	(revision 3880)
@@ -8,9 +8,9 @@
         exec: function(editor) {
           if (editor.getSelection().getNative().toString().replace(/\s*/, '') != '') {
-            var str = editor.getSelection().getNative().toString().replace(/\s*/, '');
-            var url = dotclear.msg.tag_url;
+            const str = editor.getSelection().getNative().toString().replace(/\s*/, '');
+            const url = dotclear.msg.tag_url;
             window.dc_tag_editor.addMeta(str);
-            var link = '<a href="' + $.stripBaseURL(url + '/' + str) + '">' + str + '</a>';
-            var element = CKEDITOR.dom.element.createFromHtml(link);
+            const link = `<a href="${$.stripBaseURL(url + '/' + str)}">${str}</a>`;
+            const element = CKEDITOR.dom.element.createFromHtml(link);
             editor.insertElement(element);
           }
Index: plugins/tags/js/legacy-post.js
===================================================================
--- plugins/tags/js/legacy-post.js	(revision 3709)
+++ plugins/tags/js/legacy-post.js	(revision 3880)
@@ -35,5 +35,5 @@
 };
 jsToolBar.prototype.elements.tag.fn.markdown = function() {
-  var url = this.elements.tag.url;
+  const url = this.elements.tag.url;
   this.encloseSelection('', '', function(str) {
     if (str == '') {
@@ -50,5 +50,5 @@
 };
 jsToolBar.prototype.elements.tag.fn.xhtml = function() {
-  var url = this.elements.tag.url;
+  const url = this.elements.tag.url;
   this.encloseSelection('', '', function(str) {
     if (str == '') {
@@ -65,5 +65,5 @@
 };
 jsToolBar.prototype.elements.tag.fn.wysiwyg = function() {
-  var t = this.getSelectedText();
+  const t = this.getSelectedText();
 
   if (t == '') {
@@ -75,6 +75,6 @@
   }
 
-  var n = this.getSelectedNode();
-  var a = document.createElement('a');
+  const n = this.getSelectedNode();
+  const a = document.createElement('a');
   a.href = this.stripBaseURL(this.elements.tag.url + '/' + t);
   a.appendChild(n);
Index: plugins/tags/js/post.js
===================================================================
--- plugins/tags/js/post.js	(revision 3709)
+++ plugins/tags/js/post.js	(revision 3880)
@@ -4,8 +4,8 @@
 $(function() {
   $('#edit-entry').onetabload(function() {
-    var tags_edit = $('#tags-edit');
-    var post_id = $('#id');
-    var meta_field = null;
-    var mEdit = null;
+    const tags_edit = $('#tags-edit');
+    let post_id = $('#id');
+    let meta_field = null;
+    let mEdit = null;
 
     if (tags_edit.length > 0) {
@@ -34,5 +34,5 @@
       matchContains: true,
       parse: function(xml) {
-        var results = [];
+        let results = [];
         $(xml).find('meta').each(function() {
           results[results.length] = {
Index: plugins/tags/js/posts_actions.js
===================================================================
--- plugins/tags/js/posts_actions.js	(revision 3709)
+++ plugins/tags/js/posts_actions.js	(revision 3880)
@@ -3,61 +3,61 @@
 
 $(function() {
-	var tag_field = $('#new_tags');
+  const tag_field = $('#new_tags');
 
-	tag_field.after('<div id="tags_list"></div>');
-	tag_field.hide();
+  tag_field.after('<div id="tags_list"></div>');
+  tag_field.hide();
 
-	var target = $('#tags_list');
-	var mEdit = new metaEditor(target,tag_field,'tag',editor_tags_options);
-	mEdit.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';
+  const target = $('#tags_list');
+  let mEdit = new metaEditor(target, tag_field, 'tag', editor_tags_options);
+  mEdit.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';
 
-	mEdit.meta_dialog = $('<input type="text" />');
-	mEdit.meta_dialog.attr('title',mEdit.text_add_meta.replace(/%s/,mEdit.meta_type));
-	mEdit.meta_dialog.attr('id','post_meta_input');
-	mEdit.meta_dialog.css('width','90%');
+  mEdit.meta_dialog = $('<input type="text" />');
+  mEdit.meta_dialog.attr('title', mEdit.text_add_meta.replace(/%s/, mEdit.meta_type));
+  mEdit.meta_dialog.attr('id', 'post_meta_input');
+  mEdit.meta_dialog.css('width', '90%');
 
-	mEdit.addMetaDialog();
+  mEdit.addMetaDialog();
 
-	$('input[name="save_tags"]').click(function() {
-		tag_field.val($('#post_meta_input').val());
-	});
+  $('input[name="save_tags"]').click(function() {
+    tag_field.val($('#post_meta_input').val());
+  });
 
-	$('#post_meta_input').autocomplete(mEdit.service_uri, {
-		extraParams: {
-			'f':        'searchMeta',
-			'metaType': 'tag'
-		},
-		delay: 1000,
-		multiple: true,
-		matchSubset: false,
-		matchContains: true,
-		parse: function(xml) {
-			var results = [];
-			$(xml).find('meta').each(function(){
-				results[results.length] = {
-					data: {
-						'id':      $(this).text(),
-						'count':   $(this).attr('count'),
-						'percent': $(this).attr('roundpercent')
-					},
-					result: $(this).text()
-				};
-			});
-			return results;
-		},
-		formatItem: function(tag) {
-			return tag.id + ' <em>(' +
-			dotclear.msg.tags_autocomplete.
-				replace('%p',tag.percent).
-				replace('%e',tag.count + ' ' +
-					(tag.count > 1 ?
-					dotclear.msg.entries :
-					dotclear.msg.entry)
-				) +
-			')</em>';
-		},
-		formatResult: function(tag) {
-			return tag.result;
-		}
-	});
+  $('#post_meta_input').autocomplete(mEdit.service_uri, {
+    extraParams: {
+      'f': 'searchMeta',
+      'metaType': 'tag'
+    },
+    delay: 1000,
+    multiple: true,
+    matchSubset: false,
+    matchContains: true,
+    parse: function(xml) {
+      let results = [];
+      $(xml).find('meta').each(function() {
+        results[results.length] = {
+          data: {
+            'id': $(this).text(),
+            'count': $(this).attr('count'),
+            'percent': $(this).attr('roundpercent')
+          },
+          result: $(this).text()
+        };
+      });
+      return results;
+    },
+    formatItem: function(tag) {
+      return tag.id + ' <em>(' +
+        dotclear.msg.tags_autocomplete.
+      replace('%p', tag.percent).
+      replace('%e', tag.count + ' ' +
+          (tag.count > 1 ?
+            dotclear.msg.entries :
+            dotclear.msg.entry)
+        ) +
+        ')</em>';
+    },
+    formatResult: function(tag) {
+      return tag.result;
+    }
+  });
 });
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 3731)
+++ plugins/tags/tag_posts.php	(revision 3874)
@@ -43,6 +43,6 @@
 }
 
-$params               = array();
-$params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
+$params               = [];
+$params['limit']      = [(($page - 1) * $nb_per_page), $nb_per_page];
 $params['no_content'] = true;
 
@@ -60,5 +60,5 @@
 }
 
-$posts_actions_page = new dcPostsActionsPage($core, 'plugin.php', array('p' => 'tags', 'm' => 'tag_posts', 'tag' => $tag));
+$posts_actions_page = new dcPostsActionsPage($core, 'plugin.php', ['p' => 'tags', 'm' => 'tag_posts', 'tag' => $tag]);
 
 if ($posts_actions_page->process()) {
@@ -86,9 +86,9 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         html::escapeHTML($core->blog->name)                         => '',
         __('Tags')                                                  => $p_url . '&amp;m=tags',
         __('Tag') . ' &ldquo;' . html::escapeHTML($tag) . '&rdquo;' => ''
-    )) .
+    ]) .
 dcPage::notices();
 ?>
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 3731)
+++ plugins/tags/tags.php	(revision 3874)
@@ -22,8 +22,8 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         html::escapeHTML($core->blog->name) => '',
         __('Tags')                          => ''
-    )) .
+    ]) .
 dcPage::notices();
 ?>
@@ -31,10 +31,10 @@
 <?php
 
-$tags = $core->meta->getMetadata(array('meta_type' => 'tag'));
+$tags = $core->meta->getMetadata(['meta_type' => 'tag']);
 $tags = $core->meta->computeMetaStats($tags);
 $tags->sort('meta_id_lower', 'asc');
 
 $last_letter = null;
-$cols        = array('', '');
+$cols        = ['', ''];
 $col         = 0;
 while ($tags->fetch()) {
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 3731)
+++ plugins/themeEditor/_admin.php	(revision 3874)
@@ -16,8 +16,8 @@
 }
 
-$core->addBehavior('adminCurrentThemeDetails', array('themeEditorBehaviors', 'theme_editor_details'));
+$core->addBehavior('adminCurrentThemeDetails', ['themeEditorBehaviors', 'theme_editor_details']);
 
-$core->addBehavior('adminBeforeUserOptionsUpdate', array('themeEditorBehaviors', 'adminBeforeUserUpdate'));
-$core->addBehavior('adminPreferencesForm', array('themeEditorBehaviors', 'adminPreferencesForm'));
+$core->addBehavior('adminBeforeUserOptionsUpdate', ['themeEditorBehaviors', 'adminBeforeUserUpdate']);
+$core->addBehavior('adminPreferencesForm', ['themeEditorBehaviors', 'adminPreferencesForm']);
 
 class themeEditorBehaviors
@@ -51,5 +51,5 @@
 
         $themes_list  = dcPage::getCodeMirrorThemes();
-        $themes_combo = array(__('Default') => '');
+        $themes_combo = [__('Default') => ''];
         foreach ($themes_list as $theme) {
             $themes_combo[$theme] = $theme;
@@ -69,7 +69,7 @@
             '<p><label for="colorsyntax_theme" class="classic">' . __('Theme:') . '</label> ' .
             form::combo('colorsyntax_theme', $themes_combo,
-                array(
+                [
                     'default'    => $core->auth->user_prefs->interface->colorsyntax_theme,
-                    'extra_html' => 'onchange="selectTheme()"')) .
+                    'extra_html' => 'onchange="selectTheme()"']) .
                 '</p>';
         } else {
@@ -78,5 +78,5 @@
         echo '</div>';
         echo '<div class="col">';
-        echo dcPage::jsLoadCodeMirror('', false, array('javascript'));
+        echo dcPage::jsLoadCodeMirror('', false, ['javascript']);
         foreach ($themes_list as $theme) {
             echo dcPage::cssLoad('js/codemirror/theme/' . $theme . '.css');
Index: plugins/themeEditor/_define.php
===================================================================
--- plugins/themeEditor/_define.php	(revision 3731)
+++ plugins/themeEditor/_define.php	(revision 3874)
@@ -17,9 +17,9 @@
     "Olivier Meunier", // Author
     '1.3',             // Version
-    array(
+    [
         'type'     => 'plugin',
-        'settings' => array(
+        'settings' => [
             'pref' => '#user-options.themeEditor_prefs'
-        )
-    )
+        ]
+    ]
 );
Index: plugins/themeEditor/class.themeEditor.php
===================================================================
--- plugins/themeEditor/class.themeEditor.php	(revision 3731)
+++ plugins/themeEditor/class.themeEditor.php	(revision 3874)
@@ -23,8 +23,8 @@
     protected $tplset_name;
 
-    public $tpl = array();
-    public $css = array();
-    public $js  = array();
-    public $po  = array();
+    public $tpl = [];
+    public $css = [];
+    public $js  = [];
+    public $po  = [];
 
     public function __construct($core)
@@ -112,10 +112,10 @@
         }
 
-        return array(
+        return [
             'c'    => file_get_contents($F),
             'w'    => $this->getDestinationFile($type, $f) !== false,
             'type' => $type,
             'f'    => $f
-        );
+        ];
     }
 
@@ -256,5 +256,5 @@
                 return $this->po;
             default:
-                return array();
+                return [];
         }
     }
@@ -303,5 +303,5 @@
         }
 
-        uksort($this->tpl, array($this, 'sortFilesHelper'));
+        uksort($this->tpl, [$this, 'sortFilesHelper']);
     }
 
@@ -334,9 +334,9 @@
         $dir = path::real($dir);
         if (!$dir || !is_dir($dir) || !is_readable($dir)) {
-            return array();
+            return [];
         }
 
         $d   = dir($dir);
-        $res = array();
+        $res = [];
         while (($f = $d->read()) !== false) {
             if (is_file($dir . '/' . $f) && !preg_match('/^\./', $f) && (!$ext || preg_match('/\.' . preg_quote($ext) . '$/i', $f))) {
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 3834)
+++ plugins/themeEditor/index.php	(revision 3874)
@@ -14,5 +14,5 @@
 require dirname(__FILE__) . '/class.themeEditor.php';
 
-$file_default = $file = array('c' => null, 'w' => false, 'type' => null, 'f' => null, 'default_file' => false);
+$file_default = $file = ['c' => null, 'w' => false, 'type' => null, 'f' => null, 'default_file' => false];
 
 # Get interface setting
@@ -66,14 +66,14 @@
     <title><?php echo __('Edit theme files'); ?></title>
     <?php
-echo dcPage::jsVars(array(
+echo dcPage::jsVars([
     'dotclear.msg.saving_document'    => __("Saving document..."),
     'dotclear.msg.document_saved'     => __("Document saved"),
     'dotclear.msg.error_occurred'     => __("An error occurred:"),
     'dotclear.msg.confirm_reset_file' => __("Are you sure you want to reset this file?")
-)) .
+]) .
 dcPage::jsConfirmClose('file-form') .
 dcPage::jsLoad(dcPage::getPF('themeEditor/js/script.js'));
 if ($user_ui_colorsyntax) {
-    echo dcPage::jsVars(array('dotclear.colorsyntax' => $user_ui_colorsyntax));
+    echo dcPage::jsVars(['dotclear.colorsyntax' => $user_ui_colorsyntax]);
     echo dcPage::jsLoadCodeMirror($user_ui_colorsyntax_theme);
 }
@@ -85,9 +85,9 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         html::escapeHTML($core->blog->name) => '',
         __('Blog appearance')               => $core->adminurl->get('admin.blog.theme'),
         __('Edit theme files')              => ''
-    )) .
+    ]) .
 dcPage::notices();
 ?>
@@ -110,9 +110,9 @@
     '<div class="fieldset"><h3>' . __('File editor') . '</h3>' .
     '<p><label for="file_content">' . sprintf(__('Editing file %s'), '<strong>' . $file['f']) . '</strong></label></p>' .
-    '<p>' . form::textarea('file_content', 72, 25, array(
+    '<p>' . form::textarea('file_content', 72, 25, [
         'default'  => html::escapeHTML($file['c']),
         'class'    => 'maximal',
         'disabled' => !$file['w']
-    )) . '</p>';
+    ]) . '</p>';
 
     if ($file['w']) {
@@ -121,5 +121,5 @@
         ($o->deletableFile($file['type'], $file['f']) ? '<input type="submit" name="delete" class="delete" value="' . __('Reset') . '" />' : '') .
         $core->formNonce() .
-            ($file['type'] ? form::hidden(array($file['type']), $file['f']) : '') .
+            ($file['type'] ? form::hidden([$file['type']], $file['f']) : '') .
             '</p>';
     } else {
Index: plugins/themeEditor/js/script.js
===================================================================
--- plugins/themeEditor/js/script.js	(revision 3709)
+++ plugins/themeEditor/js/script.js	(revision 3880)
@@ -4,9 +4,9 @@
 $(function() {
   // Cope with saving
-  var msg = false;
+  let msg = false;
   $('#file-form input[name="write"]').click(function(e) {
-    var f = this.form;
+    const f = this.form;
 
-    var data = {
+    const data = {
       file_content: (!dotclear.colorsyntax ? $(f).find('#file_content').get(0).value : editor.getValue()),
       xd_check: $(f).find('input[name="xd_check"]').get(0).value,
@@ -22,5 +22,5 @@
 
     $.post(document.location.href, data, function(res) {
-      var err = $(res).find('div.error li:first');
+      const err = $(res).find('div.error li:first');
       if (err.length > 0) {
         msg.text(dotclear.msg.error_occurred + ' ' + err.text());
Index: plugins/userPref/_define.php
===================================================================
--- plugins/userPref/_define.php	(revision 3731)
+++ plugins/userPref/_define.php	(revision 3874)
@@ -17,6 +17,6 @@
     "Franck Paul",                            // Author
     '0.3',                                    // Version
-    array(
+    [
         'type' => 'plugin'
-    )
+    ]
 );
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 3731)
+++ plugins/userPref/index.php	(revision 3874)
@@ -69,16 +69,16 @@
 {
     if ($s['type'] == 'boolean') {
-        $field = form::combo(array($field_name . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id),
-            array(__('yes') => 1, __('no') => 0), $s['value'] ? 1 : 0);
+        $field = form::combo([$field_name . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id],
+            [__('yes') => 1, __('no') => 0], $s['value'] ? 1 : 0);
     } else {
         if ($s['type'] == 'array') {
-            $field = form::field(array($field_name . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id), 40, null,
+            $field = form::field([$field_name . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id], 40, null,
                 html::escapeHTML(json_encode($s['value'])));
         } else {
-            $field = form::field(array($field_name . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id), 40, null,
+            $field = form::field([$field_name . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id], 40, null,
                 html::escapeHTML($s['value']));
         }
     }
-    $type = form::hidden(array($field_name . '_type' . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id . '_type'),
+    $type = form::hidden([$field_name . '_type' . '[' . $ws . '][' . $id . ']', $field_name . '_' . $ws . '_' . $id . '_type'],
         html::escapeHTML($s['type']));
 
@@ -103,9 +103,9 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         __('System')                            => '',
         html::escapeHTML($core->auth->userID()) => '',
         __('user:preferences')                  => ''
-    )) .
+    ]) .
 dcPage::notices();
 
@@ -122,5 +122,5 @@
 '  <th>' . __('Value') . '</th>' . "\n" .
 '  <th>' . __('Type') . '</th>' . "\n" .
-'  <th class="maximalx">' . __('Description') . '</th>' . "\n" .
+'  <th>' . __('Description') . '</th>' . "\n" .
     '</tr>' . "\n" .
     '</thead>' . "\n" .
@@ -128,5 +128,5 @@
 $table_footer = '</tbody></table></div>';
 
-$prefs = array();
+$prefs = [];
 foreach ($core->auth->user_prefs->dumpWorkspaces() as $ws => $workspace) {
     foreach ($workspace->dumpPrefs() as $k => $v) {
@@ -136,5 +136,5 @@
 ksort($prefs);
 if (count($prefs) > 0) {
-    $ws_combo = array();
+    $ws_combo = [];
     foreach ($prefs as $ws => $s) {
         $ws_combo[$ws] = '#l_' . $ws;
@@ -144,5 +144,5 @@
     '<p class="anchor-nav">' .
     '<label for="lp_nav" class="classic">' . __('Goto:') . '</label> ' .
-    form::combo('lp_nav', $ws_combo, array('class' => 'navigation')) .
+    form::combo('lp_nav', $ws_combo, ['class' => 'navigation']) .
     ' <input type="submit" value="' . __('Ok') . '" id="lp_submit" />' .
     '<input type="hidden" name="p" value="userPref" />' .
@@ -174,5 +174,5 @@
 
 <?php
-$prefs = array();
+$prefs = [];
 
 foreach ($core->auth->user_prefs->dumpWorkspaces() as $ws => $workspace) {
@@ -185,5 +185,5 @@
 
 if (count($prefs) > 0) {
-    $ws_combo = array();
+    $ws_combo = [];
     foreach ($prefs as $ws => $s) {
         $ws_combo[$ws] = '#g_' . $ws;
@@ -193,5 +193,5 @@
     '<p class="anchor-nav">' .
     '<label for="gp_nav" class="classic">' . __('Goto:') . '</label> ' .
-    form::combo('gp_nav', $ws_combo, array('class' => 'navigation')) .
+    form::combo('gp_nav', $ws_combo, ['class' => 'navigation']) .
     ' <input type="submit" value="' . __('Ok') . '" id="gp_submit" />' .
     '<input type="hidden" name="p" value="userPref" />' .
Index: plugins/widgets/_admin.php
===================================================================
--- plugins/widgets/_admin.php	(revision 3731)
+++ plugins/widgets/_admin.php	(revision 3874)
@@ -12,6 +12,6 @@
 if (!defined('DC_CONTEXT_ADMIN')) {return;}
 
-$core->addBehavior('adminDashboardFavorites', array('widgetsBehaviors', 'widgets_dashboard_favorites'));
-$core->addBehavior('adminRteFlags', array('widgetsBehaviors', 'adminRteFlags'));
+$core->addBehavior('adminDashboardFavorites', ['widgetsBehaviors', 'widgets_dashboard_favorites']);
+$core->addBehavior('adminRteFlags', ['widgetsBehaviors', 'adminRteFlags']);
 
 $_menu['Blog']->addItem(__('Presentation widgets'),
@@ -25,15 +25,15 @@
     public static function widgets_dashboard_favorites($core, $favs)
     {
-        $favs->register('widgets', array(
+        $favs->register('widgets', [
             'title'      => __('Presentation widgets'),
             'url'        => $core->adminurl->get('admin.plugin.widgets'),
             'small-icon' => dcPage::getPF('widgets/icon.png'),
             'large-icon' => dcPage::getPF('widgets/icon-big.png')
-        ));
+        ]);
     }
 
     public static function adminRteFlags($core, $rte)
     {
-        $rte['widgets_text'] = array(true, __('Widget\'s textareas'));
+        $rte['widgets_text'] = [true, __('Widget\'s textareas')];
     }
 }
Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 3731)
+++ plugins/widgets/_default_widgets.php	(revision 3874)
@@ -18,39 +18,39 @@
 $__widgets = new dcWidgets;
 
-$__widgets->create('search', __('Search engine'), array('defaultWidgets', 'search'), null, 'Search engine form');
+$__widgets->create('search', __('Search engine'), ['defaultWidgets', 'search'], null, 'Search engine form');
 $__widgets->search->setting('title', __('Title (optional)') . ' :', __('Search'));
 $__widgets->search->setting('placeholder', __('Placeholder (HTML5 only, optional):'), '');
 $__widgets->search->setting('homeonly', __('Display on:'), 0, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->search->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->search->setting('class', __('CSS class:'), '');
 $__widgets->search->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('navigation', __('Navigation links'), array('defaultWidgets', 'navigation'), null, 'List of navigation links');
+$__widgets->create('navigation', __('Navigation links'), ['defaultWidgets', 'navigation'], null, 'List of navigation links');
 $__widgets->navigation->setting('title', __('Title (optional)') . ' :', '');
 $__widgets->navigation->setting('homeonly', __('Display on:'), 0, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->navigation->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->navigation->setting('class', __('CSS class:'), '');
 $__widgets->navigation->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('bestof', __('Selected entries'), array('defaultWidgets', 'bestof'), null, 'List of selected entries');
+$__widgets->create('bestof', __('Selected entries'), ['defaultWidgets', 'bestof'], null, 'List of selected entries');
 $__widgets->bestof->setting('title', __('Title (optional)') . ' :', __('Best of me'));
-$__widgets->bestof->setting('orderby', __('Sort:'), 'asc', 'combo', array(__('Ascending') => 'asc', __('Descending') => 'desc'));
+$__widgets->bestof->setting('orderby', __('Sort:'), 'asc', 'combo', [__('Ascending') => 'asc', __('Descending') => 'desc']);
 $__widgets->bestof->setting('homeonly', __('Display on:'), 1, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->bestof->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->bestof->setting('class', __('CSS class:'), '');
 $__widgets->bestof->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('langs', __('Blog languages'), array('defaultWidgets', 'langs'), null, 'List of available languages');
+$__widgets->create('langs', __('Blog languages'), ['defaultWidgets', 'langs'], null, 'List of available languages');
 $__widgets->langs->setting('title', __('Title (optional)') . ' :', __('Languages'));
 $__widgets->langs->setting('homeonly', __('Display on:'), 1, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->langs->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->langs->setting('class', __('CSS class:'), '');
 $__widgets->langs->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('categories', __('List of categories'), array('defaultWidgets', 'categories'), null, 'List of categories');
+$__widgets->create('categories', __('List of categories'), ['defaultWidgets', 'categories'], null, 'List of categories');
 $__widgets->categories->setting('title', __('Title (optional)') . ' :', __('Categories'));
 $__widgets->categories->setting('postcount', __('With entries counts'), 0, 'check');
@@ -58,41 +58,41 @@
 $__widgets->categories->setting('with_empty', __('Include empty categories'), 0, 'check');
 $__widgets->categories->setting('homeonly', __('Display on:'), 0, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->categories->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->categories->setting('class', __('CSS class:'), '');
 $__widgets->categories->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('subscribe', __('Subscribe links'), array('defaultWidgets', 'subscribe'), null, 'Feed subscription links (RSS or Atom)');
+$__widgets->create('subscribe', __('Subscribe links'), ['defaultWidgets', 'subscribe'], null, 'Feed subscription links (RSS or Atom)');
 $__widgets->subscribe->setting('title', __('Title (optional)') . ' :', __('Subscribe'));
-$__widgets->subscribe->setting('type', __('Feeds type:'), 'atom', 'combo', array('Atom' => 'atom', 'RSS' => 'rss2'));
+$__widgets->subscribe->setting('type', __('Feeds type:'), 'atom', 'combo', ['Atom' => 'atom', 'RSS' => 'rss2']);
 $__widgets->subscribe->setting('homeonly', __('Display on:'), 1, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->subscribe->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->subscribe->setting('class', __('CSS class:'), '');
 $__widgets->subscribe->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('feed', __('Feed reader'), array('defaultWidgets', 'feed'), null, 'List of last entries from feed (RSS or Atom)');
+$__widgets->create('feed', __('Feed reader'), ['defaultWidgets', 'feed'], null, 'List of last entries from feed (RSS or Atom)');
 $__widgets->feed->setting('title', __('Title (optional)') . ' :', __('Somewhere else'));
 $__widgets->feed->setting('url', __('Feed URL:'), '');
 $__widgets->feed->setting('limit', __('Entries limit:'), 10);
 $__widgets->feed->setting('homeonly', __('Display on:'), 1, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->feed->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->feed->setting('class', __('CSS class:'), '');
 $__widgets->feed->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('text', __('Text'), array('defaultWidgets', 'text'), null, 'Simple text');
+$__widgets->create('text', __('Text'), ['defaultWidgets', 'text'], null, 'Simple text');
 $__widgets->text->setting('title', __('Title (optional)') . ' :', '');
 $__widgets->text->setting('text', __('Text:'), '', 'textarea');
 $__widgets->text->setting('homeonly', __('Display on:'), 0, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->text->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->text->setting('class', __('CSS class:'), '');
 $__widgets->text->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('lastposts', __('Last entries'), array('defaultWidgets', 'lastposts'), null, 'List of last entries published');
+$__widgets->create('lastposts', __('Last entries'), ['defaultWidgets', 'lastposts'], null, 'List of last entries published');
 $__widgets->lastposts->setting('title', __('Title (optional)') . ' :', __('Last entries'));
-$rs         = $core->blog->getCategories(array('post_type' => 'post'));
-$categories = array('' => '', __('Uncategorized') => 'null');
+$rs         = $core->blog->getCategories(['post_type' => 'post']);
+$categories = ['' => '', __('Uncategorized') => 'null'];
 while ($rs->fetch()) {
     $categories[str_repeat('&nbsp;&nbsp;', $rs->level - 1) . ($rs->level - 1 == 0 ? '' : '&bull; ') . html::escapeHTML($rs->cat_title)] = $rs->cat_id;
@@ -105,14 +105,14 @@
 $__widgets->lastposts->setting('limit', __('Entries limit:'), 10);
 $__widgets->lastposts->setting('homeonly', __('Display on:'), 1, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->lastposts->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->lastposts->setting('class', __('CSS class:'), '');
 $__widgets->lastposts->setting('offline', __('Offline'), 0, 'check');
 
-$__widgets->create('lastcomments', __('Last comments'), array('defaultWidgets', 'lastcomments'), null, 'List of last comments published');
+$__widgets->create('lastcomments', __('Last comments'), ['defaultWidgets', 'lastcomments'], null, 'List of last comments published');
 $__widgets->lastcomments->setting('title', __('Title (optional)') . ' :', __('Last comments'));
 $__widgets->lastcomments->setting('limit', __('Comments limit:'), 10);
 $__widgets->lastcomments->setting('homeonly', __('Display on:'), 1, 'combo',
-    array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
+    [__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2]);
 $__widgets->lastcomments->setting('content_only', __('Content only'), 0, 'check');
 $__widgets->lastcomments->setting('class', __('CSS class:'), '');
@@ -124,5 +124,5 @@
 # Default widgets
 global $__default_widgets;
-$__default_widgets = array('nav' => new dcWidgets(), 'extra' => new dcWidgets(), 'custom' => new dcWidgets());
+$__default_widgets = ['nav' => new dcWidgets(), 'extra' => new dcWidgets(), 'custom' => new dcWidgets()];
 
 $__default_widgets['nav']->append($__widgets->search);
Index: plugins/widgets/_define.php
===================================================================
--- plugins/widgets/_define.php	(revision 3731)
+++ plugins/widgets/_define.php	(revision 3874)
@@ -17,8 +17,8 @@
     "Olivier Meunier & Dotclear Team", // Author
     '3.4',                             // Version
-    array(
+    [
         'permissions' => 'admin',
         'priority'    => 1000000000,
         'type'        => 'plugin'
-    )
+    ]
 );
